Bug 181329 - [patch] x11-toolkits/wxgtk29: update to 2.9.5
Summary: [patch] x11-toolkits/wxgtk29: update to 2.9.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-15 17:20 UTC by Rainer Hurling
Modified: 2014-01-22 13:52 UTC (History)
0 users

See Also:


Attachments
file.diff (10.86 KB, patch)
2013-08-15 17:20 UTC, Rainer Hurling
no flags Details | Diff
patch-Mk__bsd.wx.mk (833 bytes, text/plain; charset=UTF-8)
2013-12-13 19:00 UTC, Rainer Hurling
no flags Details
patch-wxgtk29_2.9.4-3.0.0 (51.72 KB, text/plain; charset=UTF-8)
2013-12-13 19:00 UTC, Rainer Hurling
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2013-08-15 17:20:00 UTC
Update x11-toolkits/wxgtk29 from version 2.9.4_1 to 2.9.5

Again many bug fixes and some improvements.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-08-15 17:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Rainer Hurling freebsd_committer 2013-12-13 19:00:34 UTC
In the meantime the 3.0.0 release has happened. It is the official
successor for the prerelease version 2.9.x.

I tried to patch Mk/bsd.wx.mk to put version 3.0 in and version 2.9 out.

The port x11-toolkits/wxgtk30 should supersede x11-toolkits/wxgtk29.

Stage support is not implemented yet.

I am not sure if it also could be useful to deinstall 2.9.4_1 first and
than install 3.0.0.? If this is right, should one mention it in
/usr/ports/UPDATING?

This wxgtk version is important to fix math/saga in some points. An
update for math/saga is in preparation.
Comment 3 Pietro Cerutti freebsd_committer 2014-01-22 09:00:34 UTC
Responsible Changed
From-To: fjoe->gahr

Maintainer timeout. I'll take it.
Comment 4 Pietro Cerutti freebsd_committer 2014-01-22 09:05:12 UTC
I'm willing to bring in the new wxgtk30 port but I don't
have the time to track the removal or update of wxgtk29, mainly because
of ports depending from it. So, I guess I'll start by adding 30 - which
I also need for a port - and wait for fjoe@ to kill 20 :)

-- 
Pietro Cerutti
The FreeBSD Project
gahr@FreeBSD.org

PGP Public Key:
http://gahr.ch/pgp
Comment 5 dfilter service freebsd_committer 2014-01-22 13:46:52 UTC
Author: gahr
Date: Wed Jan 22 13:46:41 2014
New Revision: 340709
URL: http://svnweb.freebsd.org/changeset/ports/340709
QAT: https://qat.redports.org/buildarchive/r340709/

Log:
  New port: x11-toolkits/wxgtk30 -- Series 3.0 of the wxWidgets toolkit
  
  PR:		181329 (based on)
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de>

Added:
  head/x11-toolkits/wxgtk30/
  head/x11-toolkits/wxgtk30/Makefile   (contents, props changed)
  head/x11-toolkits/wxgtk30/distinfo   (contents, props changed)
  head/x11-toolkits/wxgtk30/files/
  head/x11-toolkits/wxgtk30/files/patch-Makefile.in   (contents, props changed)
  head/x11-toolkits/wxgtk30/files/patch-configure   (contents, props changed)
  head/x11-toolkits/wxgtk30/files/patch-src-common-translation.cpp   (contents, props changed)
  head/x11-toolkits/wxgtk30/files/patch-utils-wxrc-Makefile.in   (contents, props changed)
  head/x11-toolkits/wxgtk30/pkg-descr   (contents, props changed)
  head/x11-toolkits/wxgtk30/pkg-plist   (contents, props changed)
Modified:
  head/Mk/bsd.wx.mk   (contents, props changed)
  head/x11-toolkits/Makefile

Modified: head/Mk/bsd.wx.mk
==============================================================================
--- head/Mk/bsd.wx.mk	Wed Jan 22 13:29:30 2014	(r340708)
+++ head/Mk/bsd.wx.mk	Wed Jan 22 13:46:41 2014	(r340709)
@@ -131,9 +131,9 @@ _WX_Definitions_Done=	yes
 
 _WX_COMPS_ALL=			wx contrib python svg
 _WX_DEP_TYPES_ALL=		build lib run
-_WX_VERS_ALL=			2.6 2.8 2.9
-_WX_VERS_UC_ALL=		2.6 2.8 2.9
-_WX_VERS_SKIP=			2.9
+_WX_VERS_ALL=			2.6 2.8 2.9 3.0
+_WX_VERS_UC_ALL=		2.6 2.8 2.9 3.0
+_WX_VERS_SKIP=			2.9 3.0
 _WX_VERS_LISTS=			WANT_WX_VER WITH_WX_VER _WX_VER_INSTALLED
 
 #
@@ -172,6 +172,10 @@ _WX_LIB_svg_2.8=		wxsvg
 _WX_PORT_wx_2.9=		x11-toolkits/wxgtk29
 _WX_LIB_wx_2.9=			wx_baseu-2.9
 
+# wxgtk 3.0
+_WX_PORT_wx_3.0=		x11-toolkits/wxgtk30
+_WX_LIB_wx_3.0=			wx_baseu-3.0
+
 # Set _WX_SHVER_comp_ver to 0 and _WX_FILE_comp_ver for libs appropiately.
 # Set _WX_DEPTYPE_comp_ver for "python" to "run", and others to "lib".
 

Modified: head/x11-toolkits/Makefile
==============================================================================
--- head/x11-toolkits/Makefile	Wed Jan 22 13:29:30 2014	(r340708)
+++ head/x11-toolkits/Makefile	Wed Jan 22 13:46:41 2014	(r340709)
@@ -282,6 +282,7 @@
     SUBDIR += wxgtk28-unicode
     SUBDIR += wxgtk28-unicode-contrib
     SUBDIR += wxgtk29
+    SUBDIR += wxgtk30
     SUBDIR += xbae
     SUBDIR += xforms
     SUBDIR += xmhtml

Added: head/x11-toolkits/wxgtk30/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/wxgtk30/Makefile	Wed Jan 22 13:46:41 2014	(r340709)
@@ -0,0 +1,69 @@
+# $FreeBSD$
+
+PORTNAME=	wx
+PORTVERSION=	3.0.0
+CATEGORIES=	x11-toolkits
+MASTER_SITES=	SF/wxwindows/${PORTVERSION}
+PKGNAMESUFFIX=	29-gtk2
+DISTNAME=	wxWidgets-${PORTVERSION}
+
+MAINTAINER=	gahr@FreeBSD.org
+COMMENT=	The wxWidgets GUI toolkit with GTK+ bindings
+
+LIB_DEPENDS+=	libpng15.so:${PORTSDIR}/graphics/png\
+		libjpeg.so:${PORTSDIR}/graphics/jpeg\
+		libtiff.so:${PORTSDIR}/graphics/tiff\
+		libexpat.so:${PORTSDIR}/textproc/expat2\
+		libinotify.so:${PORTSDIR}/devel/libinotify\
+		libwebkitgtk-1.0.so:${PORTSDIR}/www/webkit-gtk2
+
+USES+=		iconv gmake pkgconfig
+USE_BZIP2=	yes
+USE_XORG=	x11 sm xxf86vm xinerama
+USE_GL=		glu
+USE_GNOME=	gtk20
+USE_LDCONFIG=	yes
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-libpng=sys\
+		--with-libjpeg=sys\
+		--with-libtiff=sys\
+		--with-zlib=sys\
+		--with-expat=sys\
+		--with-opengl\
+		--with-libmspack\
+		--with-gtk\
+		--enable-mediactrl\
+		--disable-backtrace\
+		--enable-webview\
+		--enable-graphics_ctx
+CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib -pthread -linotify"\
+		X11BASE="${LOCALBASE}"
+CPPFLAGS+=	-I${LOCALBASE}/include
+
+OPTIONS_DEFINE=	GSTREAMER MSPACK NLS
+OPTIONS_DEFAULT=GSTREAMER MSPACK
+MSPACK_DESC=	MS archives support
+OPTIONS_SUB=	yes
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
+USES+=	gettext
+.endif
+
+.if ${PORT_OPTIONS:MGSTREAMER}
+CONFIGURE_ARGS+=--enable-mediactrl
+USE_GNOME+=	gconf2
+USE_GSTREAMER=	yes
+.else
+CONFIGURE_ARGS+=--disable-mediactrl
+.endif
+
+.if ${PORT_OPTIONS:MMSPACK}
+CONFIGURE_ARGS+=--with-libmspack
+LIB_DEPENDS+=	libmspack.so:${PORTSDIR}/archivers/libmspack
+.else
+CONFIGURE_ARGS+=--without-libmspack
+.endif
+
+.include <bsd.port.mk>

Added: head/x11-toolkits/wxgtk30/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/wxgtk30/distinfo	Wed Jan 22 13:46:41 2014	(r340709)
@@ -0,0 +1,2 @@
+SHA256 (wxWidgets-3.0.0.tar.bz2) = ff340539bcb6e45d8dbce848d3c13ebce34da6ffb9004a0a88e9541bec45bf85
+SIZE (wxWidgets-3.0.0.tar.bz2) = 19815734

Added: head/x11-toolkits/wxgtk30/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/wxgtk30/files/patch-Makefile.in	Wed Jan 22 13:46:41 2014	(r340709)
@@ -0,0 +1,42 @@
+--- Makefile.in.orig	2013-11-11 14:10:39.000000000 +0100
++++ Makefile.in	2014-01-22 10:14:26.000000000 +0100
+@@ -25,6 +25,7 @@
+ SONAME_FLAG = @SONAME_FLAG@
+ STRIP = @STRIP@
+ INSTALL_PROGRAM = @INSTALL_PROGRAM@
++INSTALL_SCRIPT = @INSTALL_SCRIPT@
+ INSTALL_DATA = @INSTALL_DATA@
+ INSTALL_DIR = @INSTALL_DIR@
+ ICC_PCH_USE_SWITCH = @ICC_PCH_USE_SWITCH@
+@@ -15214,9 +15215,9 @@
+ 
+ install: $(__install_wxregex___depname) $(__install_wxzlib___depname) $(__install_wxpng___depname) $(__install_wxjpeg___depname) $(__install_wxtiff___depname) $(__install_wxexpat___depname) $(__install_wxscintilla___depname) $(__install_monodll___depname) $(__install_monolib___depname) $(__install_basedll___depname) $(__install_baselib___depname) $(__install_netdll___depname) $(__install_netlib___depname) $(__install_coredll___depname) $(__install_corelib___depname) $(__install_advdll___depname) $(__inst all_advlib___depname) $(__install_mediadll___depname) $(__install_medialib___depname) $(__install_htmldll___depname) $(__install_htmllib___depname) $(__install_webviewdll___depname) $(__install_webviewlib___depname) $(__install_qadll___depname) $(__install_qalib___depname) $(__install_xmldll___depname) $(__install_xmllib___depname) $(__install_xrcdll___depname) $(__install_xrclib___depname) $(__install_auidll___depname) $(__install_auilib___depname) $(__install_ribbondll___depname) 
 $(__install_ribbonlib___depname) $(__install_propgriddll___depname) $(__install_propgridlib___depname) $(__install_richtextdll___depname) $(__install_richtextlib___depname) $(__install_stcdll___depname) $(__install_stclib___depname) $(__install_gldll___depname) $(__install_gllib___depname) $(__install_sound_sdl___depname) $(__install_wxrc___depname) install-wxconfig locale_install locale_msw_install $(__cocoa_res_install___depname)
+ 	$(INSTALL_DIR) $(DESTDIR)$(datadir)/aclocal
+-	(cd $(srcdir) ; $(INSTALL_DATA)  wxwin.m4 $(DESTDIR)$(datadir)/aclocal)
++	(cd $(srcdir) ; $(INSTALL_DATA)  wxwin.m4 $(DESTDIR)$(datadir)/aclocal/wxwin$(WX_RELEASE_NODOT).m4)
+ 	$(INSTALL_DIR) $(DESTDIR)$(datadir)/bakefile/presets
+-	(cd $(srcdir)/build/bakefiles/wxpresets/presets ; $(INSTALL_DATA)  wx.bkl wx_unix.bkl wx_win32.bkl wx_xrc.bkl wx_presets.py $(DESTDIR)$(datadir)/bakefile/presets)
++	(cd $(srcdir)/build/bakefiles/wxpresets/presets/ ; for i in wx.bkl wx_unix.bkl wx_win32.bkl wx_xrc.bkl wx_presets.py; do $(INSTALL_DATA) $$i $(DESTDIR)$(datadir)/bakefile/presets/wx$(WX_RELEASE_NODOT)$${i##wx}; done)
+ 	$(DYLIB_RPATH_INSTALL)
+ 	$(INSTALL_DIR) $(DESTDIR)$(libdir)/wx/include/$(TOOLCHAIN_FULLNAME)/wx
+ 	for f in setup.h $(RCDEFS_H); do \
+@@ -16099,9 +16100,7 @@
+ 
+ install-wxconfig: 
+ 	$(INSTALL_DIR) $(DESTDIR)$(bindir)
+-	$(INSTALL_DIR) $(DESTDIR)$(libdir)/wx/config
+-	$(INSTALL_PROGRAM) lib/wx/config/$(TOOLCHAIN_FULLNAME) $(DESTDIR)$(libdir)/wx/config
+-	(cd $(DESTDIR)$(bindir) && rm -f wx-config && $(LN_S) $(libdir)/wx/config/$(TOOLCHAIN_FULLNAME) wx-config || cp -p $(DESTDIR)$(libdir)/wx/config/$(TOOLCHAIN_FULLNAME) wx-config)
++	$(INSTALL_SCRIPT) lib/wx/config/$(TOOLCHAIN_FULLNAME) $(DESTDIR)$(bindir)/wx$(TOOLCHAIN_NAME)-config
+ 
+ locale_install: 
+ 	$(INSTALL_DIR) $(DESTDIR)$(datadir)/locale
+@@ -16109,7 +16108,7 @@
+ 	$(INSTALL_DIR) $(DESTDIR)$(datadir)/locale/$$l ; \
+ 	$(INSTALL_DIR) $(DESTDIR)$(datadir)/locale/$$l/LC_MESSAGES ; \
+ 	if test -f $(srcdir)/locale/$$l.mo ; then \
+-	$(INSTALL_DATA) $(srcdir)/locale/$$l.mo $(DESTDIR)$(datadir)/locale/$$l/LC_MESSAGES/wxstd.mo ; \
++	$(INSTALL_DATA) $(srcdir)/locale/$$l.mo $(DESTDIR)$(datadir)/locale/$$l/LC_MESSAGES/wxstd$(WX_RELEASE_NODOT).mo ; \
+ 	fi ; \
+ 	done
+ 

Added: head/x11-toolkits/wxgtk30/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/wxgtk30/files/patch-configure	Wed Jan 22 13:46:41 2014	(r340709)
@@ -0,0 +1,28 @@
+--- configure.orig	2011-12-15 01:42:11.000000000 +0700
++++ configure	2012-05-15 22:49:14.000000000 +0700
+@@ -27119,6 +27119,7 @@
+ 
+ 
+ SEARCH_INCLUDE="\
++    $X11BASE/include          \
+     /usr/local/include        \
+     /usr/local/X11/include    \
+     /usr/local/include/X11    \
+@@ -42877,7 +42878,7 @@
+                 fi
+                 ;;
+           *-*-freebsd*)
+-                                                THREAD_OPTS="-kthread lthread $THREAD_OPTS c_r"
++                                                THREAD_OPTS="$PTHREAD_LIBS"
+                 ;;
+           *-*-darwin* | *-*-cygwin* )
+                                                 THREAD_OPTS=""
+@@ -45535,7 +45536,7 @@
+         fi
+     fi
+ fi
+-
++OPTIMISE_CFLAGS=
+ 
+ if test "x$WXWIN_COMPATIBILITY_2_6" = "xyes"; then
+     cat >>confdefs.h <<\_ACEOF

Added: head/x11-toolkits/wxgtk30/files/patch-src-common-translation.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/wxgtk30/files/patch-src-common-translation.cpp	Wed Jan 22 13:46:41 2014	(r340709)
@@ -0,0 +1,11 @@
+--- src/common/translation.cpp.orig	2011-02-18 15:12:53.000000000 +0600
++++ src/common/translation.cpp	2011-02-18 15:15:10.000000000 +0600
+@@ -1302,7 +1302,7 @@
+ 
+ bool wxTranslations::AddStdCatalog()
+ {
+-    if ( !AddCatalog(wxS("wxstd")) )
++    if ( !AddCatalog(wxS("wxstd") wxSTRINGIZE(wxMAJOR_VERSION) wxSTRINGIZE(wxMINOR_VERSION)) )
+         return false;
+ 
+     // there may be a catalog with toolkit specific overrides, it is not

Added: head/x11-toolkits/wxgtk30/files/patch-utils-wxrc-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/wxgtk30/files/patch-utils-wxrc-Makefile.in	Wed Jan 22 13:46:41 2014	(r340709)
@@ -0,0 +1,23 @@
+--- utils/wxrc/Makefile.in.orig	Thu Nov 30 23:00:32 2006
++++ utils/wxrc/Makefile.in	Thu Nov 30 23:01:25 2006
+@@ -29,6 +29,7 @@
+ TOOLKIT = @TOOLKIT@
+ TOOLKIT_LOWERCASE = @TOOLKIT_LOWERCASE@
+ TOOLKIT_VERSION = @TOOLKIT_VERSION@
++TOOLCHAIN_NAME = @TOOLCHAIN_NAME@
+ EXTRALIBS = @EXTRALIBS@
+ EXTRALIBS_XML = @EXTRALIBS_XML@
+ EXTRALIBS_GUI = @EXTRALIBS_GUI@
+@@ -114,11 +115,7 @@
+ 
+ @COND_USE_XRC_1@install_wxrc: 
+ @COND_USE_XRC_1@	$(INSTALL_DIR) $(DESTDIR)$(bindir)
+-@COND_USE_XRC_1@	$(INSTALL_PROGRAM) wxrc$(EXEEXT) $(DESTDIR)$(bindir)
+-@COND_USE_XRC_1@	rm -f $(DESTDIR)$(bindir)/wxrc$(EXEEXT) $(DESTDIR)$(bindir)/wxrc-$(WX_RELEASE)
+-@COND_USE_XRC_1@	$(INSTALL_PROGRAM) wxrc$(EXEEXT) $(DESTDIR)$(bindir)
+-@COND_USE_XRC_1@	mv -f $(DESTDIR)$(bindir)/wxrc$(EXEEXT) $(DESTDIR)$(bindir)/wxrc-$(WX_RELEASE)
+-@COND_USE_XRC_1@	(cd $(DESTDIR)$(bindir) && $(LN_S) wxrc-$(WX_RELEASE) wxrc$(EXEEXT))
++@COND_USE_XRC_1@	$(INSTALL_PROGRAM) wxrc$(EXEEXT) $(DESTDIR)$(bindir)/wxrc-$(TOOLCHAIN_NAME)$(EXEEXT)
+ 
+ @COND_USE_XRC_1@uninstall_wxrc: 
+ @COND_USE_XRC_1@	rm -f $(DESTDIR)$(bindir)/wxrc$(EXEEXT)

Added: head/x11-toolkits/wxgtk30/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/wxgtk30/pkg-descr	Wed Jan 22 13:46:41 2014	(r340709)
@@ -0,0 +1,4 @@
+wxWidgets (formerly known as wxWindows) is a C++ GUI framework for platform
+independent software development. On FreeBSD the Gtk toolkit is used.
+
+WWW: http://www.wxwidgets.org/

Added: head/x11-toolkits/wxgtk30/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/wxgtk30/pkg-plist	Wed Jan 22 13:46:41 2014	(r340709)
@@ -0,0 +1,807 @@
+bin/wxgtk2u-3.0-config
+bin/wxrc-gtk2u-3.0
+include/wx-3.0/wx/aboutdlg.h
+include/wx-3.0/wx/accel.h
+include/wx-3.0/wx/access.h
+include/wx-3.0/wx/affinematrix2d.h
+include/wx-3.0/wx/affinematrix2dbase.h
+include/wx-3.0/wx/afterstd.h
+include/wx-3.0/wx/anidecod.h
+include/wx-3.0/wx/animate.h
+include/wx-3.0/wx/animdecod.h
+include/wx-3.0/wx/any.h
+include/wx-3.0/wx/anybutton.h
+include/wx-3.0/wx/anystr.h
+include/wx-3.0/wx/app.h
+include/wx-3.0/wx/apptrait.h
+include/wx-3.0/wx/archive.h
+include/wx-3.0/wx/arrimpl.cpp
+include/wx-3.0/wx/arrstr.h
+include/wx-3.0/wx/artprov.h
+include/wx-3.0/wx/atomic.h
+include/wx-3.0/wx/aui/aui.h
+include/wx-3.0/wx/aui/auibar.h
+include/wx-3.0/wx/aui/auibook.h
+include/wx-3.0/wx/aui/dockart.h
+include/wx-3.0/wx/aui/floatpane.h
+include/wx-3.0/wx/aui/framemanager.h
+include/wx-3.0/wx/aui/tabart.h
+include/wx-3.0/wx/aui/tabartgtk.h
+include/wx-3.0/wx/aui/tabmdi.h
+include/wx-3.0/wx/bannerwindow.h
+include/wx-3.0/wx/base64.h
+include/wx-3.0/wx/beforestd.h
+include/wx-3.0/wx/bitmap.h
+include/wx-3.0/wx/bmpbuttn.h
+include/wx-3.0/wx/bmpcbox.h
+include/wx-3.0/wx/bookctrl.h
+include/wx-3.0/wx/brush.h
+include/wx-3.0/wx/buffer.h
+include/wx-3.0/wx/build.h
+include/wx-3.0/wx/busyinfo.h
+include/wx-3.0/wx/button.h
+include/wx-3.0/wx/calctrl.h
+include/wx-3.0/wx/caret.h
+include/wx-3.0/wx/chartype.h
+include/wx-3.0/wx/checkbox.h
+include/wx-3.0/wx/checkeddelete.h
+include/wx-3.0/wx/checklst.h
+include/wx-3.0/wx/chkconf.h
+include/wx-3.0/wx/choicdlg.h
+include/wx-3.0/wx/choice.h
+include/wx-3.0/wx/choicebk.h
+include/wx-3.0/wx/clipbrd.h
+include/wx-3.0/wx/clntdata.h
+include/wx-3.0/wx/clrpicker.h
+include/wx-3.0/wx/cmdargs.h
+include/wx-3.0/wx/cmdline.h
+include/wx-3.0/wx/cmdproc.h
+include/wx-3.0/wx/cmndata.h
+include/wx-3.0/wx/collpane.h
+include/wx-3.0/wx/colordlg.h
+include/wx-3.0/wx/colour.h
+include/wx-3.0/wx/colourdata.h
+include/wx-3.0/wx/combo.h
+include/wx-3.0/wx/combobox.h
+include/wx-3.0/wx/commandlinkbutton.h
+include/wx-3.0/wx/compiler.h
+include/wx-3.0/wx/compositewin.h
+include/wx-3.0/wx/confbase.h
+include/wx-3.0/wx/config.h
+include/wx-3.0/wx/containr.h
+include/wx-3.0/wx/control.h
+include/wx-3.0/wx/convauto.h
+include/wx-3.0/wx/cpp.h
+include/wx-3.0/wx/crt.h
+include/wx-3.0/wx/cshelp.h
+include/wx-3.0/wx/ctrlsub.h
+include/wx-3.0/wx/cursor.h
+include/wx-3.0/wx/custombgwin.h
+include/wx-3.0/wx/dataobj.h
+include/wx-3.0/wx/dataview.h
+include/wx-3.0/wx/datectrl.h
+include/wx-3.0/wx/dateevt.h
+include/wx-3.0/wx/datetime.h
+include/wx-3.0/wx/datetimectrl.h
+include/wx-3.0/wx/datstrm.h
+include/wx-3.0/wx/dc.h
+include/wx-3.0/wx/dcbuffer.h
+include/wx-3.0/wx/dcclient.h
+include/wx-3.0/wx/dcgraph.h
+include/wx-3.0/wx/dcmemory.h
+include/wx-3.0/wx/dcmirror.h
+include/wx-3.0/wx/dcprint.h
+include/wx-3.0/wx/dcps.h
+include/wx-3.0/wx/dcscreen.h
+include/wx-3.0/wx/dcsvg.h
+include/wx-3.0/wx/dde.h
+include/wx-3.0/wx/debug.h
+include/wx-3.0/wx/debugrpt.h
+include/wx-3.0/wx/defs.h
+include/wx-3.0/wx/dialog.h
+include/wx-3.0/wx/dialup.h
+include/wx-3.0/wx/dir.h
+include/wx-3.0/wx/dirctrl.h
+include/wx-3.0/wx/dirdlg.h
+include/wx-3.0/wx/display.h
+include/wx-3.0/wx/display_impl.h
+include/wx-3.0/wx/dlimpexp.h
+include/wx-3.0/wx/dlist.h
+include/wx-3.0/wx/dnd.h
+include/wx-3.0/wx/docmdi.h
+include/wx-3.0/wx/docview.h
+include/wx-3.0/wx/dragimag.h
+include/wx-3.0/wx/dvrenderers.h
+include/wx-3.0/wx/dynarray.h
+include/wx-3.0/wx/dynlib.h
+include/wx-3.0/wx/dynload.h
+include/wx-3.0/wx/editlbox.h
+include/wx-3.0/wx/effects.h
+include/wx-3.0/wx/encconv.h
+include/wx-3.0/wx/encinfo.h
+include/wx-3.0/wx/event.h
+include/wx-3.0/wx/eventfilter.h
+include/wx-3.0/wx/evtloop.h
+include/wx-3.0/wx/evtloopsrc.h
+include/wx-3.0/wx/except.h
+include/wx-3.0/wx/fdrepdlg.h
+include/wx-3.0/wx/features.h
+include/wx-3.0/wx/ffile.h
+include/wx-3.0/wx/file.h
+include/wx-3.0/wx/fileconf.h
+include/wx-3.0/wx/filectrl.h
+include/wx-3.0/wx/filedlg.h
+include/wx-3.0/wx/filefn.h
+include/wx-3.0/wx/filehistory.h
+include/wx-3.0/wx/filename.h
+include/wx-3.0/wx/filepicker.h
+include/wx-3.0/wx/filesys.h
+include/wx-3.0/wx/flags.h
+include/wx-3.0/wx/fmappriv.h
+include/wx-3.0/wx/font.h
+include/wx-3.0/wx/fontdata.h
+include/wx-3.0/wx/fontdlg.h
+include/wx-3.0/wx/fontenc.h
+include/wx-3.0/wx/fontenum.h
+include/wx-3.0/wx/fontmap.h
+include/wx-3.0/wx/fontpicker.h
+include/wx-3.0/wx/fontutil.h
+include/wx-3.0/wx/frame.h
+include/wx-3.0/wx/fs_arc.h
+include/wx-3.0/wx/fs_filter.h
+include/wx-3.0/wx/fs_inet.h
+include/wx-3.0/wx/fs_mem.h
+include/wx-3.0/wx/fs_zip.h
+include/wx-3.0/wx/fswatcher.h
+include/wx-3.0/wx/gauge.h
+include/wx-3.0/wx/gbsizer.h
+include/wx-3.0/wx/gdicmn.h
+include/wx-3.0/wx/gdiobj.h
+include/wx-3.0/wx/generic/aboutdlgg.h
+include/wx-3.0/wx/generic/accel.h
+include/wx-3.0/wx/generic/bmpcbox.h
+include/wx-3.0/wx/generic/busyinfo.h
+include/wx-3.0/wx/generic/buttonbar.h
+include/wx-3.0/wx/generic/calctrlg.h
+include/wx-3.0/wx/generic/caret.h
+include/wx-3.0/wx/generic/choicdgg.h
+include/wx-3.0/wx/generic/colrdlgg.h
+include/wx-3.0/wx/generic/combo.h
+include/wx-3.0/wx/generic/custombgwin.h
+include/wx-3.0/wx/generic/dataview.h
+include/wx-3.0/wx/generic/datectrl.h
+include/wx-3.0/wx/generic/dcpsg.h
+include/wx-3.0/wx/generic/dirctrlg.h
+include/wx-3.0/wx/generic/dragimgg.h
+include/wx-3.0/wx/generic/dvrenderer.h
+include/wx-3.0/wx/generic/dvrenderers.h
+include/wx-3.0/wx/generic/fdrepdlg.h
+include/wx-3.0/wx/generic/filectrlg.h
+include/wx-3.0/wx/generic/filepickerg.h
+include/wx-3.0/wx/generic/fontdlgg.h
+include/wx-3.0/wx/generic/fswatcher.h
+include/wx-3.0/wx/generic/grid.h
+include/wx-3.0/wx/generic/gridctrl.h
+include/wx-3.0/wx/generic/grideditors.h
+include/wx-3.0/wx/generic/gridsel.h
+include/wx-3.0/wx/generic/headerctrlg.h
+include/wx-3.0/wx/generic/helpext.h
+include/wx-3.0/wx/generic/hyperlink.h
+include/wx-3.0/wx/generic/icon.h
+include/wx-3.0/wx/generic/imaglist.h
+include/wx-3.0/wx/generic/infobar.h
+include/wx-3.0/wx/generic/laywin.h
+include/wx-3.0/wx/generic/listctrl.h
+include/wx-3.0/wx/generic/logg.h
+include/wx-3.0/wx/generic/msgdlgg.h
+include/wx-3.0/wx/generic/notebook.h
+include/wx-3.0/wx/generic/notifmsg.h
+include/wx-3.0/wx/generic/numdlgg.h
+include/wx-3.0/wx/generic/paletteg.h
+include/wx-3.0/wx/generic/panelg.h
+include/wx-3.0/wx/generic/printps.h
+include/wx-3.0/wx/generic/prntdlgg.h
+include/wx-3.0/wx/generic/progdlgg.h
+include/wx-3.0/wx/generic/propdlg.h
+include/wx-3.0/wx/generic/richmsgdlgg.h
+include/wx-3.0/wx/generic/sashwin.h
+include/wx-3.0/wx/generic/scrolwin.h
+include/wx-3.0/wx/generic/spinctlg.h
+include/wx-3.0/wx/generic/splash.h
+include/wx-3.0/wx/generic/splitter.h
+include/wx-3.0/wx/generic/srchctlg.h
+include/wx-3.0/wx/generic/statbmpg.h
+include/wx-3.0/wx/generic/stattextg.h
+include/wx-3.0/wx/generic/statusbr.h
+include/wx-3.0/wx/generic/textdlgg.h
+include/wx-3.0/wx/generic/timectrl.h
+include/wx-3.0/wx/generic/treectlg.h
+include/wx-3.0/wx/generic/wizard.h
+include/wx-3.0/wx/geometry.h
+include/wx-3.0/wx/gifdecod.h
+include/wx-3.0/wx/glcanvas.h
+include/wx-3.0/wx/graphics.h
+include/wx-3.0/wx/grid.h
+include/wx-3.0/wx/gtk/accel.h
+include/wx-3.0/wx/gtk/animate.h
+include/wx-3.0/wx/gtk/anybutton.h
+include/wx-3.0/wx/gtk/app.h
+include/wx-3.0/wx/gtk/assertdlg_gtk.h
+include/wx-3.0/wx/gtk/bitmap.h
+include/wx-3.0/wx/gtk/bmpbuttn.h
+include/wx-3.0/wx/gtk/bmpcbox.h
+include/wx-3.0/wx/gtk/brush.h
+include/wx-3.0/wx/gtk/button.h
+include/wx-3.0/wx/gtk/calctrl.h
+include/wx-3.0/wx/gtk/checkbox.h
+include/wx-3.0/wx/gtk/checklst.h
+include/wx-3.0/wx/gtk/chkconf.h
+include/wx-3.0/wx/gtk/choice.h
+include/wx-3.0/wx/gtk/clipbrd.h
+include/wx-3.0/wx/gtk/clrpicker.h
+include/wx-3.0/wx/gtk/collpane.h
+include/wx-3.0/wx/gtk/colordlg.h
+include/wx-3.0/wx/gtk/colour.h
+include/wx-3.0/wx/gtk/combobox.h
+include/wx-3.0/wx/gtk/control.h
+include/wx-3.0/wx/gtk/cursor.h
+include/wx-3.0/wx/gtk/dataform.h
+include/wx-3.0/wx/gtk/dataobj.h
+include/wx-3.0/wx/gtk/dataobj2.h
+include/wx-3.0/wx/gtk/dataview.h
+include/wx-3.0/wx/gtk/dialog.h
+include/wx-3.0/wx/gtk/dirdlg.h
+include/wx-3.0/wx/gtk/dnd.h
+include/wx-3.0/wx/gtk/dvrenderer.h
+include/wx-3.0/wx/gtk/dvrenderers.h
+include/wx-3.0/wx/gtk/evtloop.h
+include/wx-3.0/wx/gtk/evtloopsrc.h
+include/wx-3.0/wx/gtk/filectrl.h
+include/wx-3.0/wx/gtk/filedlg.h
+include/wx-3.0/wx/gtk/filehistory.h
+include/wx-3.0/wx/gtk/filepicker.h
+include/wx-3.0/wx/gtk/font.h
+include/wx-3.0/wx/gtk/fontdlg.h
+include/wx-3.0/wx/gtk/fontpicker.h
+include/wx-3.0/wx/gtk/frame.h
+include/wx-3.0/wx/gtk/gauge.h
+include/wx-3.0/wx/gtk/glcanvas.h
+include/wx-3.0/wx/gtk/gnome/gvfs.h
+include/wx-3.0/wx/gtk/hildon/notifmsg.h
+include/wx-3.0/wx/gtk/hyperlink.h
+include/wx-3.0/wx/gtk/infobar.h
+include/wx-3.0/wx/gtk/listbox.h
+include/wx-3.0/wx/gtk/mdi.h
+include/wx-3.0/wx/gtk/menu.h
+include/wx-3.0/wx/gtk/menuitem.h
+include/wx-3.0/wx/gtk/minifram.h
+include/wx-3.0/wx/gtk/msgdlg.h
+include/wx-3.0/wx/gtk/nonownedwnd.h
+include/wx-3.0/wx/gtk/notebook.h
+include/wx-3.0/wx/gtk/notifmsg.h
+include/wx-3.0/wx/gtk/pen.h
+include/wx-3.0/wx/gtk/popupwin.h
+include/wx-3.0/wx/gtk/print.h
+include/wx-3.0/wx/gtk/radiobox.h
+include/wx-3.0/wx/gtk/radiobut.h
+include/wx-3.0/wx/gtk/region.h
+include/wx-3.0/wx/gtk/scrolbar.h
+include/wx-3.0/wx/gtk/scrolwin.h
+include/wx-3.0/wx/gtk/slider.h
+include/wx-3.0/wx/gtk/spinbutt.h
+include/wx-3.0/wx/gtk/spinctrl.h
+include/wx-3.0/wx/gtk/statbmp.h
+include/wx-3.0/wx/gtk/statbox.h
+include/wx-3.0/wx/gtk/statline.h
+include/wx-3.0/wx/gtk/stattext.h
+include/wx-3.0/wx/gtk/taskbar.h
+include/wx-3.0/wx/gtk/textctrl.h
+include/wx-3.0/wx/gtk/textentry.h
+include/wx-3.0/wx/gtk/tglbtn.h
+include/wx-3.0/wx/gtk/toolbar.h
+include/wx-3.0/wx/gtk/tooltip.h
+include/wx-3.0/wx/gtk/toplevel.h
+include/wx-3.0/wx/gtk/webview_webkit.h
+include/wx-3.0/wx/gtk/webviewhistoryitem_webkit.h
+include/wx-3.0/wx/gtk/window.h
+include/wx-3.0/wx/hash.h
+include/wx-3.0/wx/hashmap.h
+include/wx-3.0/wx/hashset.h
+include/wx-3.0/wx/headercol.h
+include/wx-3.0/wx/headerctrl.h
+include/wx-3.0/wx/help.h
+include/wx-3.0/wx/helpbase.h
+include/wx-3.0/wx/helphtml.h
+include/wx-3.0/wx/helpwin.h
+include/wx-3.0/wx/html/forcelnk.h
+include/wx-3.0/wx/html/helpctrl.h
+include/wx-3.0/wx/html/helpdata.h
+include/wx-3.0/wx/html/helpdlg.h
+include/wx-3.0/wx/html/helpfrm.h
+include/wx-3.0/wx/html/helpwnd.h
+include/wx-3.0/wx/html/htmlcell.h
+include/wx-3.0/wx/html/htmldefs.h
+include/wx-3.0/wx/html/htmlfilt.h
+include/wx-3.0/wx/html/htmlpars.h
+include/wx-3.0/wx/html/htmlproc.h
+include/wx-3.0/wx/html/htmltag.h
+include/wx-3.0/wx/html/htmlwin.h
+include/wx-3.0/wx/html/htmprint.h
+include/wx-3.0/wx/html/m_templ.h
+include/wx-3.0/wx/html/styleparams.h
+include/wx-3.0/wx/html/winpars.h
+include/wx-3.0/wx/htmllbox.h
+include/wx-3.0/wx/hyperlink.h
+include/wx-3.0/wx/icon.h
+include/wx-3.0/wx/iconbndl.h
+include/wx-3.0/wx/iconloc.h
+include/wx-3.0/wx/imagbmp.h
+include/wx-3.0/wx/image.h
+include/wx-3.0/wx/imaggif.h
+include/wx-3.0/wx/imagiff.h
+include/wx-3.0/wx/imagjpeg.h
+include/wx-3.0/wx/imaglist.h
+include/wx-3.0/wx/imagpcx.h
+include/wx-3.0/wx/imagpng.h
+include/wx-3.0/wx/imagpnm.h
+include/wx-3.0/wx/imagtga.h
+include/wx-3.0/wx/imagtiff.h
+include/wx-3.0/wx/imagxpm.h
+include/wx-3.0/wx/infobar.h
+include/wx-3.0/wx/init.h
+include/wx-3.0/wx/intl.h
+include/wx-3.0/wx/iosfwrap.h
+include/wx-3.0/wx/ioswrap.h
+include/wx-3.0/wx/ipc.h
+include/wx-3.0/wx/ipcbase.h
+include/wx-3.0/wx/itemid.h
+include/wx-3.0/wx/joystick.h
+include/wx-3.0/wx/kbdstate.h
+include/wx-3.0/wx/language.h
+include/wx-3.0/wx/layout.h
+include/wx-3.0/wx/laywin.h
+include/wx-3.0/wx/link.h
+include/wx-3.0/wx/list.h
+include/wx-3.0/wx/listbase.h
+include/wx-3.0/wx/listbook.h
+include/wx-3.0/wx/listbox.h
+include/wx-3.0/wx/listctrl.h
+include/wx-3.0/wx/listimpl.cpp
+include/wx-3.0/wx/log.h
+include/wx-3.0/wx/longlong.h
+include/wx-3.0/wx/math.h
+include/wx-3.0/wx/matrix.h
+include/wx-3.0/wx/mdi.h
+include/wx-3.0/wx/mediactrl.h
+include/wx-3.0/wx/memconf.h
+include/wx-3.0/wx/memory.h
+include/wx-3.0/wx/memtext.h
+include/wx-3.0/wx/menu.h
+include/wx-3.0/wx/menuitem.h
+include/wx-3.0/wx/meta/convertible.h
+include/wx-3.0/wx/meta/if.h
+include/wx-3.0/wx/meta/implicitconversion.h
+include/wx-3.0/wx/meta/int2type.h
+include/wx-3.0/wx/meta/movable.h
+include/wx-3.0/wx/meta/pod.h
+include/wx-3.0/wx/meta/removeref.h
+include/wx-3.0/wx/metafile.h
+include/wx-3.0/wx/mimetype.h
+include/wx-3.0/wx/minifram.h
+include/wx-3.0/wx/modalhook.h
+include/wx-3.0/wx/module.h
+include/wx-3.0/wx/mousemanager.h
+include/wx-3.0/wx/mousestate.h
+include/wx-3.0/wx/msgdlg.h
+include/wx-3.0/wx/msgout.h
+include/wx-3.0/wx/msgqueue.h
+include/wx-3.0/wx/mstream.h
+include/wx-3.0/wx/nativewin.h
+include/wx-3.0/wx/nonownedwnd.h
+include/wx-3.0/wx/notebook.h
+include/wx-3.0/wx/notifmsg.h
+include/wx-3.0/wx/numdlg.h
+include/wx-3.0/wx/numformatter.h
+include/wx-3.0/wx/object.h
+include/wx-3.0/wx/odcombo.h
+include/wx-3.0/wx/overlay.h
+include/wx-3.0/wx/ownerdrw.h
+include/wx-3.0/wx/palette.h
+include/wx-3.0/wx/panel.h
+include/wx-3.0/wx/paper.h
+include/wx-3.0/wx/pen.h
+include/wx-3.0/wx/persist.h
+include/wx-3.0/wx/persist/bookctrl.h
+include/wx-3.0/wx/persist/splitter.h
+include/wx-3.0/wx/persist/toplevel.h
+include/wx-3.0/wx/persist/treebook.h
+include/wx-3.0/wx/persist/window.h
+include/wx-3.0/wx/pickerbase.h
+include/wx-3.0/wx/platform.h
+include/wx-3.0/wx/platinfo.h
+include/wx-3.0/wx/popupwin.h
+include/wx-3.0/wx/position.h
+include/wx-3.0/wx/power.h
+include/wx-3.0/wx/print.h
+include/wx-3.0/wx/printdlg.h
+include/wx-3.0/wx/prntbase.h
+include/wx-3.0/wx/process.h
+include/wx-3.0/wx/progdlg.h
+include/wx-3.0/wx/propdlg.h
+include/wx-3.0/wx/propgrid/advprops.h
+include/wx-3.0/wx/propgrid/editors.h
+include/wx-3.0/wx/propgrid/manager.h
+include/wx-3.0/wx/propgrid/property.h
+include/wx-3.0/wx/propgrid/propgrid.h
+include/wx-3.0/wx/propgrid/propgriddefs.h
+include/wx-3.0/wx/propgrid/propgridiface.h
+include/wx-3.0/wx/propgrid/propgridpagestate.h
+include/wx-3.0/wx/propgrid/props.h
+include/wx-3.0/wx/protocol/file.h
+include/wx-3.0/wx/protocol/ftp.h
+include/wx-3.0/wx/protocol/http.h
+include/wx-3.0/wx/protocol/log.h
+include/wx-3.0/wx/protocol/protocol.h
+include/wx-3.0/wx/ptr_scpd.h
+include/wx-3.0/wx/ptr_shrd.h
+include/wx-3.0/wx/quantize.h
+include/wx-3.0/wx/radiobox.h
+include/wx-3.0/wx/radiobut.h
+include/wx-3.0/wx/range.h
+include/wx-3.0/wx/rawbmp.h
+include/wx-3.0/wx/rearrangectrl.h
+include/wx-3.0/wx/recguard.h
+include/wx-3.0/wx/regex.h
+include/wx-3.0/wx/region.h
+include/wx-3.0/wx/renderer.h
+include/wx-3.0/wx/ribbon/art.h
+include/wx-3.0/wx/ribbon/art_internal.h
+include/wx-3.0/wx/ribbon/bar.h
+include/wx-3.0/wx/ribbon/buttonbar.h
+include/wx-3.0/wx/ribbon/control.h
+include/wx-3.0/wx/ribbon/gallery.h
+include/wx-3.0/wx/ribbon/page.h
+include/wx-3.0/wx/ribbon/panel.h
+include/wx-3.0/wx/ribbon/toolbar.h
+include/wx-3.0/wx/richmsgdlg.h
+include/wx-3.0/wx/richtext/richtextbackgroundpage.h
+include/wx-3.0/wx/richtext/richtextborderspage.h
+include/wx-3.0/wx/richtext/richtextbuffer.h
+include/wx-3.0/wx/richtext/richtextbulletspage.h
+include/wx-3.0/wx/richtext/richtextctrl.h
+include/wx-3.0/wx/richtext/richtextdialogpage.h
+include/wx-3.0/wx/richtext/richtextfontpage.h
+include/wx-3.0/wx/richtext/richtextformatdlg.h
+include/wx-3.0/wx/richtext/richtexthtml.h
+include/wx-3.0/wx/richtext/richtextimagedlg.h
+include/wx-3.0/wx/richtext/richtextindentspage.h
+include/wx-3.0/wx/richtext/richtextliststylepage.h
+include/wx-3.0/wx/richtext/richtextmarginspage.h
+include/wx-3.0/wx/richtext/richtextprint.h
+include/wx-3.0/wx/richtext/richtextsizepage.h
+include/wx-3.0/wx/richtext/richtextstyledlg.h
+include/wx-3.0/wx/richtext/richtextstylepage.h
+include/wx-3.0/wx/richtext/richtextstyles.h
+include/wx-3.0/wx/richtext/richtextsymboldlg.h
+include/wx-3.0/wx/richtext/richtexttabspage.h
+include/wx-3.0/wx/richtext/richtextuicustomization.h
+include/wx-3.0/wx/richtext/richtextxml.h
+include/wx-3.0/wx/richtooltip.h
+include/wx-3.0/wx/rtti.h
+include/wx-3.0/wx/sashwin.h
+include/wx-3.0/wx/sckaddr.h
+include/wx-3.0/wx/sckipc.h
+include/wx-3.0/wx/sckstrm.h
+include/wx-3.0/wx/scopedarray.h
+include/wx-3.0/wx/scopedptr.h
+include/wx-3.0/wx/scopeguard.h
+include/wx-3.0/wx/scrolbar.h
+include/wx-3.0/wx/scrolwin.h
+include/wx-3.0/wx/selstore.h
+include/wx-3.0/wx/settings.h
+include/wx-3.0/wx/sharedptr.h
+include/wx-3.0/wx/simplebook.h
+include/wx-3.0/wx/sizer.h
+include/wx-3.0/wx/slider.h
+include/wx-3.0/wx/snglinst.h
+include/wx-3.0/wx/socket.h
+include/wx-3.0/wx/sound.h
+include/wx-3.0/wx/spinbutt.h
+include/wx-3.0/wx/spinctrl.h
+include/wx-3.0/wx/splash.h
+include/wx-3.0/wx/splitter.h
+include/wx-3.0/wx/srchctrl.h
+include/wx-3.0/wx/sstream.h
+include/wx-3.0/wx/stack.h
+include/wx-3.0/wx/stackwalk.h
+include/wx-3.0/wx/statbmp.h
+include/wx-3.0/wx/statbox.h
+include/wx-3.0/wx/statline.h
+include/wx-3.0/wx/stattext.h
+include/wx-3.0/wx/statusbr.h
+include/wx-3.0/wx/stc/stc.h
+include/wx-3.0/wx/stdpaths.h
+include/wx-3.0/wx/stdstream.h
+include/wx-3.0/wx/stockitem.h
+include/wx-3.0/wx/stopwatch.h
+include/wx-3.0/wx/strconv.h
+include/wx-3.0/wx/stream.h
+include/wx-3.0/wx/string.h
+include/wx-3.0/wx/stringimpl.h
+include/wx-3.0/wx/stringops.h
+include/wx-3.0/wx/strvararg.h
+include/wx-3.0/wx/sysopt.h
+include/wx-3.0/wx/tarstrm.h
+include/wx-3.0/wx/taskbar.h
+include/wx-3.0/wx/tbarbase.h
+include/wx-3.0/wx/textbuf.h
+include/wx-3.0/wx/textcompleter.h
+include/wx-3.0/wx/textctrl.h
+include/wx-3.0/wx/textdlg.h
+include/wx-3.0/wx/textentry.h
+include/wx-3.0/wx/textfile.h
+include/wx-3.0/wx/textwrapper.h
+include/wx-3.0/wx/tglbtn.h
+include/wx-3.0/wx/thread.h
+include/wx-3.0/wx/thrimpl.cpp
+include/wx-3.0/wx/time.h
+include/wx-3.0/wx/timectrl.h
+include/wx-3.0/wx/timer.h
+include/wx-3.0/wx/tipdlg.h
+include/wx-3.0/wx/tipwin.h
+include/wx-3.0/wx/tls.h
+include/wx-3.0/wx/tokenzr.h
+include/wx-3.0/wx/toolbar.h
+include/wx-3.0/wx/toolbook.h
+include/wx-3.0/wx/tooltip.h
+include/wx-3.0/wx/toplevel.h
+include/wx-3.0/wx/tracker.h
+include/wx-3.0/wx/translation.h
+include/wx-3.0/wx/treebase.h
+include/wx-3.0/wx/treebook.h
+include/wx-3.0/wx/treectrl.h
+include/wx-3.0/wx/treelist.h
+include/wx-3.0/wx/txtstrm.h
+include/wx-3.0/wx/typeinfo.h
+include/wx-3.0/wx/types.h
+include/wx-3.0/wx/uiaction.h
+include/wx-3.0/wx/unichar.h
+include/wx-3.0/wx/unix/app.h
+include/wx-3.0/wx/unix/apptbase.h
+include/wx-3.0/wx/unix/apptrait.h
+include/wx-3.0/wx/unix/chkconf.h
+include/wx-3.0/wx/unix/evtloop.h
+include/wx-3.0/wx/unix/evtloopsrc.h
+include/wx-3.0/wx/unix/execute.h
+include/wx-3.0/wx/unix/fontutil.h
+include/wx-3.0/wx/unix/fswatcher_inotify.h
+include/wx-3.0/wx/unix/fswatcher_kqueue.h
+include/wx-3.0/wx/unix/glx11.h
+include/wx-3.0/wx/unix/joystick.h
+include/wx-3.0/wx/unix/mimetype.h
+include/wx-3.0/wx/unix/pipe.h
+include/wx-3.0/wx/unix/sound.h
+include/wx-3.0/wx/unix/stackwalk.h
+include/wx-3.0/wx/unix/stdpaths.h
+include/wx-3.0/wx/unix/taskbarx11.h
+include/wx-3.0/wx/unix/tls.h
+include/wx-3.0/wx/unix/utilsx11.h
+include/wx-3.0/wx/uri.h
+include/wx-3.0/wx/url.h
+include/wx-3.0/wx/ustring.h
+include/wx-3.0/wx/utils.h
+include/wx-3.0/wx/valgen.h
+include/wx-3.0/wx/validate.h
+include/wx-3.0/wx/valnum.h
+include/wx-3.0/wx/valtext.h
+include/wx-3.0/wx/variant.h
+include/wx-3.0/wx/vector.h
+include/wx-3.0/wx/version.h
+include/wx-3.0/wx/versioninfo.h
+include/wx-3.0/wx/vidmode.h
+include/wx-3.0/wx/vlbox.h
+include/wx-3.0/wx/vms_x_fix.h
+include/wx-3.0/wx/volume.h
+include/wx-3.0/wx/vscroll.h
+include/wx-3.0/wx/weakref.h
+include/wx-3.0/wx/webview.h
+include/wx-3.0/wx/webviewarchivehandler.h
+include/wx-3.0/wx/webviewfshandler.h
+include/wx-3.0/wx/wfstream.h
+include/wx-3.0/wx/window.h
+include/wx-3.0/wx/windowid.h
+include/wx-3.0/wx/windowptr.h
+include/wx-3.0/wx/withimages.h
+include/wx-3.0/wx/wizard.h
+include/wx-3.0/wx/wrapsizer.h
+include/wx-3.0/wx/wupdlock.h
+include/wx-3.0/wx/wx.h
+include/wx-3.0/wx/wxchar.h
+include/wx-3.0/wx/wxcrt.h
+include/wx-3.0/wx/wxcrtbase.h
+include/wx-3.0/wx/wxcrtvararg.h
+include/wx-3.0/wx/wxhtml.h
+include/wx-3.0/wx/wxprec.h
+include/wx-3.0/wx/xlocale.h
+include/wx-3.0/wx/xml/xml.h
+include/wx-3.0/wx/xpmdecod.h
+include/wx-3.0/wx/xpmhand.h
+include/wx-3.0/wx/xrc/xh_all.h
+include/wx-3.0/wx/xrc/xh_animatctrl.h
+include/wx-3.0/wx/xrc/xh_auinotbk.h
+include/wx-3.0/wx/xrc/xh_bannerwindow.h
+include/wx-3.0/wx/xrc/xh_bmp.h
+include/wx-3.0/wx/xrc/xh_bmpbt.h
+include/wx-3.0/wx/xrc/xh_bmpcbox.h
+include/wx-3.0/wx/xrc/xh_bttn.h
+include/wx-3.0/wx/xrc/xh_cald.h
+include/wx-3.0/wx/xrc/xh_chckb.h
+include/wx-3.0/wx/xrc/xh_chckl.h
+include/wx-3.0/wx/xrc/xh_choic.h
+include/wx-3.0/wx/xrc/xh_choicbk.h
+include/wx-3.0/wx/xrc/xh_clrpicker.h
+include/wx-3.0/wx/xrc/xh_cmdlinkbn.h
+include/wx-3.0/wx/xrc/xh_collpane.h
+include/wx-3.0/wx/xrc/xh_combo.h
+include/wx-3.0/wx/xrc/xh_comboctrl.h
+include/wx-3.0/wx/xrc/xh_datectrl.h
+include/wx-3.0/wx/xrc/xh_dirpicker.h
+include/wx-3.0/wx/xrc/xh_dlg.h
+include/wx-3.0/wx/xrc/xh_editlbox.h
+include/wx-3.0/wx/xrc/xh_filectrl.h
+include/wx-3.0/wx/xrc/xh_filepicker.h
+include/wx-3.0/wx/xrc/xh_fontpicker.h
+include/wx-3.0/wx/xrc/xh_frame.h
+include/wx-3.0/wx/xrc/xh_gauge.h
+include/wx-3.0/wx/xrc/xh_gdctl.h
+include/wx-3.0/wx/xrc/xh_grid.h
+include/wx-3.0/wx/xrc/xh_html.h
+include/wx-3.0/wx/xrc/xh_htmllbox.h
+include/wx-3.0/wx/xrc/xh_hyperlink.h
+include/wx-3.0/wx/xrc/xh_listb.h
+include/wx-3.0/wx/xrc/xh_listbk.h
+include/wx-3.0/wx/xrc/xh_listc.h
+include/wx-3.0/wx/xrc/xh_mdi.h
+include/wx-3.0/wx/xrc/xh_menu.h
+include/wx-3.0/wx/xrc/xh_notbk.h
+include/wx-3.0/wx/xrc/xh_odcombo.h
+include/wx-3.0/wx/xrc/xh_panel.h
+include/wx-3.0/wx/xrc/xh_propdlg.h
+include/wx-3.0/wx/xrc/xh_radbt.h
+include/wx-3.0/wx/xrc/xh_radbx.h
+include/wx-3.0/wx/xrc/xh_ribbon.h
+include/wx-3.0/wx/xrc/xh_richtext.h
+include/wx-3.0/wx/xrc/xh_scrol.h
+include/wx-3.0/wx/xrc/xh_scwin.h
+include/wx-3.0/wx/xrc/xh_sizer.h
+include/wx-3.0/wx/xrc/xh_slidr.h
+include/wx-3.0/wx/xrc/xh_spin.h
+include/wx-3.0/wx/xrc/xh_split.h
+include/wx-3.0/wx/xrc/xh_srchctrl.h
+include/wx-3.0/wx/xrc/xh_statbar.h
+include/wx-3.0/wx/xrc/xh_stbmp.h
+include/wx-3.0/wx/xrc/xh_stbox.h
+include/wx-3.0/wx/xrc/xh_stlin.h
+include/wx-3.0/wx/xrc/xh_sttxt.h
+include/wx-3.0/wx/xrc/xh_text.h
+include/wx-3.0/wx/xrc/xh_tglbtn.h
+include/wx-3.0/wx/xrc/xh_timectrl.h
+include/wx-3.0/wx/xrc/xh_toolb.h
+include/wx-3.0/wx/xrc/xh_toolbk.h
+include/wx-3.0/wx/xrc/xh_tree.h
+include/wx-3.0/wx/xrc/xh_treebk.h
+include/wx-3.0/wx/xrc/xh_unkwn.h
+include/wx-3.0/wx/xrc/xh_wizrd.h
+include/wx-3.0/wx/xrc/xmlres.h
+include/wx-3.0/wx/xrc/xmlreshandler.h
+include/wx-3.0/wx/xti.h
+include/wx-3.0/wx/xti2.h
+include/wx-3.0/wx/xtictor.h
+include/wx-3.0/wx/xtihandler.h
+include/wx-3.0/wx/xtiprop.h
+include/wx-3.0/wx/xtistrm.h
+include/wx-3.0/wx/xtitypes.h
+include/wx-3.0/wx/xtixml.h
+include/wx-3.0/wx/zipstrm.h
+include/wx-3.0/wx/zstream.h
+lib/libwx_baseu-3.0.so
+lib/libwx_baseu-3.0.so.0
+lib/libwx_baseu-3.0.so.0.0.0
+lib/libwx_baseu_net-3.0.so
+lib/libwx_baseu_net-3.0.so.0
+lib/libwx_baseu_net-3.0.so.0.0.0
+lib/libwx_baseu_xml-3.0.so
+lib/libwx_baseu_xml-3.0.so.0
+lib/libwx_baseu_xml-3.0.so.0.0.0
+lib/libwx_gtk2u_adv-3.0.so
+lib/libwx_gtk2u_adv-3.0.so.0
+lib/libwx_gtk2u_adv-3.0.so.0.0.0
+lib/libwx_gtk2u_aui-3.0.so
+lib/libwx_gtk2u_aui-3.0.so.0
+lib/libwx_gtk2u_aui-3.0.so.0.0.0
+lib/libwx_gtk2u_core-3.0.so
+lib/libwx_gtk2u_core-3.0.so.0
+lib/libwx_gtk2u_core-3.0.so.0.0.0
+lib/libwx_gtk2u_gl-3.0.so
+lib/libwx_gtk2u_gl-3.0.so.0
+lib/libwx_gtk2u_gl-3.0.so.0.0.0
+lib/libwx_gtk2u_html-3.0.so
+lib/libwx_gtk2u_html-3.0.so.0
+lib/libwx_gtk2u_html-3.0.so.0.0.0
+%%GSTREAMER%%lib/libwx_gtk2u_media-3.0.so
+%%GSTREAMER%%lib/libwx_gtk2u_media-3.0.so.0
+%%GSTREAMER%%lib/libwx_gtk2u_media-3.0.so.0.0.0
+lib/libwx_gtk2u_propgrid-3.0.so
+lib/libwx_gtk2u_propgrid-3.0.so.0
+lib/libwx_gtk2u_propgrid-3.0.so.0.0.0
+lib/libwx_gtk2u_qa-3.0.so
+lib/libwx_gtk2u_qa-3.0.so.0
+lib/libwx_gtk2u_qa-3.0.so.0.0.0
+lib/libwx_gtk2u_ribbon-3.0.so
+lib/libwx_gtk2u_ribbon-3.0.so.0
+lib/libwx_gtk2u_ribbon-3.0.so.0.0.0
+lib/libwx_gtk2u_richtext-3.0.so
+lib/libwx_gtk2u_richtext-3.0.so.0
+lib/libwx_gtk2u_richtext-3.0.so.0.0.0
+lib/libwx_gtk2u_stc-3.0.so
+lib/libwx_gtk2u_stc-3.0.so.0
+lib/libwx_gtk2u_stc-3.0.so.0.0.0
+lib/libwx_gtk2u_webview-3.0.so
+lib/libwx_gtk2u_webview-3.0.so.0
+lib/libwx_gtk2u_webview-3.0.so.0.0.0
+lib/libwx_gtk2u_xrc-3.0.so
+lib/libwx_gtk2u_xrc-3.0.so.0
+lib/libwx_gtk2u_xrc-3.0.so.0.0.0
+lib/wx/include/gtk2-unicode-3.0/wx/setup.h
+%%NLS%%share/locale/ca/LC_MESSAGES/wxstd30.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/wxstd30.mo
+%%NLS%%share/locale/da/LC_MESSAGES/wxstd30.mo
+%%NLS%%share/locale/de/LC_MESSAGES/wxstd30.mo
+%%NLS%%share/locale/el/LC_MESSAGES/wxstd30.mo
+%%NLS%%share/locale/es/LC_MESSAGES/wxstd30.mo

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pietro Cerutti freebsd_committer 2014-01-22 13:52:22 UTC
State Changed
From-To: open->closed

$x11-toolkits/wxgtk30 was added in r340709. Let's deal with the removal 
of wxgtk29 later.